System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.HttpTransportElement To be added.

Represents the configuration element that specifies an HTTPS transport for transmitting SOAP messages.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void `` To be added.

  Applies the settings of the specified to this configuration element.

  The whose settings are to be applied to this configuration element.
- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of this binding element.

- Method
  4.0.0.0
  System.Void `` To be added.

  Copies the settings from the specified to this configuration element.

  The whose settings are to be copied to this configuration element.
- Method
  4.0.0.0
  System.ServiceModel.Channels.TransportBindingElement To be added.

  Creates a binding element from the settings in this configuration element.

  A whose properties are copied from the settings in this configuration element.

- Method
  4.0.0.0
  System.Void `` To be added.

  Initializes this binding configuration element with the content of the specified binding element.

  A binding element.
- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets a instance that contains a collection of objects that can be attributes or objects of this configuration element.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("requireClientCertificate", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Boolean To be added. To be added.

  Gets or sets a boolean value that specifies whether the server requires the client to provide a client certificate as part of the HTTPS handshake.